<?php

namespace Shop\Domain\Manager\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
 * Description of Manager
 *
 * @author Diamond Code Generator
 */
interface ManagerCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{

    /**
     * @return string|null
     */
    public function getSortByName(): ?string;

    /**
     * @return int|null
     */
    public function getFilterByStockId():?int;

    /**
     * @return bool|null
     */
    public function getFilterByActiveStock():?bool ;


    public function getFilterByEmail(): ?string;

    public function getSearchByName(): ?string;

    public function getSearchByEmail(): ?string;
}           